aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-misc/praat
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/praat')
-rw-r--r--sci-misc/praat/ChangeLog8
-rw-r--r--sci-misc/praat/Manifest4
-rw-r--r--sci-misc/praat/metadata.xml11
-rw-r--r--sci-misc/praat/praat-5.0.01.ebuild49
4 files changed, 72 insertions, 0 deletions
diff --git a/sci-misc/praat/ChangeLog b/sci-misc/praat/ChangeLog
new file mode 100644
index 000000000..044e69dca
--- /dev/null
+++ b/sci-misc/praat/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-misc/praat
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*praat-5.0.01 (23 Dec 2007)
+
+ 23 Dec 2007; Flammie Pirinen <flammie@gentoo.org> +praat-5.0.01.ebuild:
+ Initial import.
diff --git a/sci-misc/praat/Manifest b/sci-misc/praat/Manifest
new file mode 100644
index 000000000..6141d64cd
--- /dev/null
+++ b/sci-misc/praat/Manifest
@@ -0,0 +1,4 @@
+DIST praat5001_sources.tar.gz 4941798 RMD160 d82ebb053a5ce4bedead395b382c0350795794df SHA1 3092f7c328e46634c27071994694eaf5db0659fb SHA256 a0294173412de08b32b5c48a5e5776a2613016b33639f0f235b0e70ed1cfe3fb
+EBUILD praat-5.0.01.ebuild 1166 RMD160 a2c7c3d7882aae1956bc0fba531000fbb5e4fe1e SHA1 02567aff0bc9417eed669afc9500b69a5192d069 SHA256 50d8d08c5bb06e6b7c16b066735b377a71cbb91b1555e3a303defd818503d336
+MISC ChangeLog 236 RMD160 a728a426cdfc90e871c5a3087a47e0cb30a089e6 SHA1 ee4033402672aeae49bd8f243ef7480b3e12a392 SHA256 65bd81ffee42529b09d7d36db520aca5ce78e9965c23fcc06300e62d5e3ae080
+MISC metadata.xml 367 RMD160 43af5fc696b058396bb82094438443b3801277ac SHA1 7e2a76f4325309c85c22e90a0665bda421827cf9 SHA256 e98b570f7a01d7e2f8c39efd7732a2adb115ab0a2f3117a6c921c9e1fa1f0bab
diff --git a/sci-misc/praat/metadata.xml b/sci-misc/praat/metadata.xml
new file mode 100644
index 000000000..aab6dfb75
--- /dev/null
+++ b/sci-misc/praat/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>flammie@gentoo.org</email></maintainer>
+<longdescription lang="en">
+ Praat is a phonetic program for computer. It includes speech synthesis,
+ analysis and other tools.
+</longdescription>
+</pkgmetadata>
+
diff --git a/sci-misc/praat/praat-5.0.01.ebuild b/sci-misc/praat/praat-5.0.01.ebuild
new file mode 100644
index 000000000..5a30b404e
--- /dev/null
+++ b/sci-misc/praat/praat-5.0.01.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit versionator
+# FIXME: for versions with last part < 10 pad with zeroes
+MY_PV=$(delete_all_version_separators)
+
+DESCRIPTION="Speech analysis and synthesis"
+SRC_URI="http://www.fon.hum.uva.nl/praat/${PN}${MY_PV}_sources.tar.gz"
+HOMEPAGE="http://www.fon.hum.uva.nl/praat/"
+DEPEND="|| ( ( x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libX11
+ x11-libs/libICE
+ x11-libs/libXext
+ x11-libs/libSM
+ x11-libs/libXp
+ )
+ virtual/x11
+ )
+ virtual/motif"
+RDEPEND="${DEPEND}"
+KEYWORDS="~x86"
+IUSE=""
+LICENSE="GPL-2"
+SLOT="0"
+
+S="${WORKDIR}/sources_${MY_PV}"
+
+src_compile() {
+ # TODO: following line should be updated for non-linux etc. builds
+ cp "${S}/makefiles/makefile.defs.linux.dynamic" "${S}/makefile.defs"
+ emake || die "emake failed"
+}
+
+src_install() {
+ dobin praat
+ dodir /usr/share/${PN}
+ insinto /usr/share/${PN}
+ doins test/*
+ dodir /usr/share/${PN}/texio
+ insinto /usr/share/${PN}/texio
+ doins test/texio/*
+ dodir /usr/share/${PN}/logisticRegression
+ insinto /usr/share/${PN}/logisticRegression
+ doins test/logisticRegression/*
+}
+